import request from "@/utils/request";

let url = '/emrAudit'

export function getAuditMessages(id, code) {
    return request({
        url: url + '/getAuditMessages',
        method: 'get',
        params: {id, code}
    })
}

export function setAudit(data) {
    return request({
        url: url + '/setAudit',
        method: 'post',
        data
    })
}

export function rectifyMedicalRecords(id, state) {
    return request({
        url: url + '/rectifyMedicalRecords',
        method: 'get',
        params: {id, state}
    })
}

export function getHistoricalAudit(emrId) {
    return request({
        url: url + '/getHistoricalAudit',
        method: 'get',
        params: {emrId}
    })
}
